
stations: 
  - Aalto-yliopisto (M) (n9574731673)
  - Aalto-yliopisto (n4364527726)
  - Alberganesplanadi (n9574731678)
  - Espoonlahti (n10173426020)
  - Finnoo (n10132487357)
  - Hakaniemi (n418089197)
  - Helsingin yliopisto (n418089202)
  - Herttoniemi (n50818752)
  - Huopalahden asema (n9574731687)
  - Hämeenlinnanväylä (n9574731689)
  - Ilkantie (n9574731688)
  - Itäkeskus (M) (n9574731704)
  - Itäkeskus (n392940601)
  - Kaitaa (n10130123168)
  - Kalasatama (n5421817304)
  - Kamppi (n1378007268)
  - Karhukallio (n9574731701)
  - Kauppamyllyntie (n9574731702)
  - Keilaniemi (n4364527727)
  - Keilaniemi (n9574731671)
  - Kivenlahti (n10188456673)
  - Koivusaari (n4364527728)
  - Kontula (n52607942)
  - Kulosaari (n51074268)
  - Kustaankartano (n9574731693)
  - Kutomotie (n9574731685)
  - Laajalahti (n9574731676)
  - Lahdenpohja (n9574731675)
  - Latokartano (n9574731700)
  - Lauttasaari (n4364527729)
  - Leppävaaran asema (n9574731679)
  - Linnoitustie (n9574731677)
  - Maari (n9574731674)
  - Matinkylä (n4364527730)
  - Maunula (n9574731692)
  - Mellunmäki (n52609066)
  - Myllypuro (n51425628)
  - Niittykumpu (n4364527731)
  - Otaranta (n9574731672)
  - Oulunkylän asema (n9574731696)
  - Oulunkylän keskusta (n9574731695)
  - Perkkaa (n9574731680)
  - Pirjontie (n9574731691)
  - Pirkkola (n9574731690)
  - Puotila (n59594747)
  - Rastila (n51335241)
  - Rautatientori (n418089207)
  - Ravitie (n9574731682)
  - Roihupelto (n9574731703)
  - Ruoholahti (n146450892)
  - Siilitie (n417945641)
  - Soukka (n10151328914)
  - Sörnäinen (n418089193)
  - Takomotie (n9574731684)
  - Talin siirtolapuutarha (n9574731683)
  - Tapiola (n4364527732)
  - Teininpuisto (n9574731694)
  - Urheilupuisto (n4364527733)
  - Vermo (n9574731681)
  - Veräjämäki (n9574731697)
  - Vihdintie (n9574731686)
  - Viikin tiedepuisto (n9574731699)
  - Viikinmäki (n9574731698)
  - Vuosaari (n51334955)

transfers: 
  - 
    - Aalto-yliopisto (M) (r16459517)
    - Aalto-yliopisto (r7591511)
  - 
    - Itäkeskus (M) (r16559321)
    - Itäkeskus (r4000897)
  - 
    - Keilaniemi (r16558130)
    - Keilaniemi (r7591512)

routes: 
  - 
    type: light_rail
    ref: 15
    name: '15 Itäkeskus (M) - Keilaniemi (M)'
    colour: '#007e79'
    station_count: 34
    stations: 
      - Keilaniemi
      - Otaranta
      - Aalto-yliopisto (M)
      - Maari
      - Lahdenpohja
      - Laajalahti
      - Linnoitustie
      - Alberganesplanadi
      - Leppävaaran asema
      - Perkkaa
      - Vermo
      - Ravitie
      - Tali
      - Takomotie
      - Kutomotie
      - Vihdintie
      - Huopalahden asema
      - Ilkantie
      - Hämeenlinnanväylä
      - Pirkkola
      - Pirjontie
      - Maunula
      - Kustaankartano
      - Teininpuisto
      - Oulunkylän keskusta
      - Oulunkylän asema
      - Veräjämäki
      - Viikinmäki
      - Viikin tiedepuisto
      - Latokartano
      - Karhukallio
      - Kauppamyllyntie
      - Roihupelto
      - Itäkeskus (M)

    itineraries: 
      r13919462: 
        - Keilaniemi (n9574731671)
        - Otaranta (n9574731672)
        - Aalto-yliopisto (M) (n9574731673)
        - Maari (n9574731674)
        - Lahdenpohja (n9574731675)
        - Laajalahti (n9574731676)
        - Linnoitustie (n9574731677)
        - Alberganesplanadi (n9574731678)
        - Leppävaaran asema (n9574731679)
        - Perkkaa (n9574731680)
        - Vermo (n9574731681)
        - Ravitie (n9574731682)
        - Talin siirtolapuutarha (n9574731683)
        - Takomotie (n9574731684)
        - Kutomotie (n9574731685)
        - Vihdintie (n9574731686)
        - Huopalahden asema (n9574731687)
        - Ilkantie (n9574731688)
        - Hämeenlinnanväylä (n9574731689)
        - Pirkkola (n9574731690)
        - Pirjontie (n9574731691)
        - Maunula (n9574731692)
        - Kustaankartano (n9574731693)
        - Teininpuisto (n9574731694)
        - Oulunkylän keskusta (n9574731695)
        - Oulunkylän asema (n9574731696)
        - Veräjämäki (n9574731697)
        - Viikinmäki (n9574731698)
        - Viikin tiedepuisto (n9574731699)
        - Latokartano (n9574731700)
        - Karhukallio (n9574731701)
        - Kauppamyllyntie (n9574731702)
        - Roihupelto (n9574731703)
        - Itäkeskus (M) (n9574731704)

      r14480134: 
        - Itäkeskus (M) (n9574731704)
        - Roihupelto (n9574731703)
        - Kauppamyllyntie (n9574731702)
        - Karhukallio (n9574731701)
        - Latokartano (n9574731700)
        - Viikin tiedepuisto (n9574731699)
        - Viikinmäki (n9574731698)
        - Veräjämäki (n9574731697)
        - Oulunkylän asema (n9574731696)
        - Oulunkylän keskusta (n9574731695)
        - Teininpuisto (n9574731694)
        - Kustaankartano (n9574731693)
        - Maunula (n9574731692)
        - Pirjontie (n9574731691)
        - Pirkkola (n9574731690)
        - Hämeenlinnanväylä (n9574731689)
        - Ilkantie (n9574731688)
        - Huopalahden asema (n9574731687)
        - Vihdintie (n9574731686)
        - Kutomotie (n9574731685)
        - Takomotie (n9574731684)
        - Talin siirtolapuutarha (n9574731683)
        - Ravitie (n9574731682)
        - Vermo (n9574731681)
        - Perkkaa (n9574731680)
        - Leppävaaran asema (n9574731679)
        - Alberganesplanadi (n9574731678)
        - Linnoitustie (n9574731677)
        - Laajalahti (n9574731676)
        - Lahdenpohja (n9574731675)
        - Maari (n9574731674)
        - Aalto-yliopisto (M) (n9574731673)
        - Otaranta (n9574731672)
        - Keilaniemi (n9574731671)


  - 
    type: subway
    ref: M1
    name: M1 Vuosaari–Matinkylä
    colour: '#f25e24'
    station_count: 27
    stations: 
      - Kivenlahti
      - Espoonlahti
      - Soukka
      - Kaitaa
      - Finnoo
      - Matinkylä
      - Niittykumpu
      - Urheilupuisto
      - Tapiola
      - Aalto-yliopisto
      - Keilaniemi
      - Koivusaari
      - Lauttasaari
      - Ruoholahti
      - Kamppi
      - Rautatientori
      - Helsingin yliopisto
      - Hakaniemi
      - Sörnäinen
      - Kalasatama
      - Kulosaari
      - Herttoniemi
      - Siilitie
      - Itäkeskus
      - Puotila
      - Rastila
      - Vuosaari

    itineraries: 
      r2390282: 
        - Kivenlahti (n10188456673)
        - Espoonlahti (n10173426020)
        - Soukka (n10151328914)
        - Kaitaa (n10130123168)
        - Finnoo (n10132487357)
        - Matinkylä (n4364527730)
        - Niittykumpu (n4364527731)
        - Urheilupuisto (n4364527733)
        - Tapiola (n4364527732)
        - Aalto-yliopisto (n4364527726)
        - Keilaniemi (n4364527727)
        - Koivusaari (n4364527728)
        - Lauttasaari (n4364527729)
        - Ruoholahti (n146450892)
        - Kamppi (n1378007268)
        - Rautatientori (n418089207)
        - Helsingin yliopisto (n418089202)
        - Hakaniemi (n418089197)
        - Sörnäinen (n418089193)
        - Kalasatama (n5421817304)
        - Kulosaari (n51074268)
        - Herttoniemi (n50818752)
        - Siilitie (n417945641)
        - Itäkeskus (n392940601)
        - Puotila (n59594747)
        - Rastila (n51335241)
        - Vuosaari (n51334955)

      r2390310: 
        - Vuosaari (n51334955)
        - Rastila (n51335241)
        - Puotila (n59594747)
        - Itäkeskus (n392940601)
        - Siilitie (n417945641)
        - Herttoniemi (n50818752)
        - Kulosaari (n51074268)
        - Kalasatama (n5421817304)
        - Sörnäinen (n418089193)
        - Hakaniemi (n418089197)
        - Helsingin yliopisto (n418089202)
        - Rautatientori (n418089207)
        - Kamppi (n1378007268)
        - Ruoholahti (n146450892)
        - Lauttasaari (n4364527729)
        - Koivusaari (n4364527728)
        - Keilaniemi (n4364527727)
        - Aalto-yliopisto (n4364527726)
        - Tapiola (n4364527732)
        - Urheilupuisto (n4364527733)
        - Niittykumpu (n4364527731)
        - Matinkylä (n4364527730)
        - Finnoo (n10132487357)
        - Kaitaa (n10130123168)
        - Soukka (n10151328914)
        - Espoonlahti (n10173426020)
        - Kivenlahti (n10188456673)


  - 
    type: subway
    ref: M2
    name: M2 Mellunmäki–Tapiola
    colour: '#f25e24'
    station_count: 19
    stations: 
      - Tapiola
      - Aalto-yliopisto
      - Keilaniemi
      - Koivusaari
      - Lauttasaari
      - Ruoholahti
      - Kamppi
      - Rautatientori
      - Helsingin yliopisto
      - Hakaniemi
      - Sörnäinen
      - Kalasatama
      - Kulosaari
      - Herttoniemi
      - Siilitie
      - Itäkeskus
      - Myllypuro
      - Kontula
      - Mellunmäki

    itineraries: 
      r2390349: 
        - Tapiola (n4364527732)
        - Aalto-yliopisto (n4364527726)
        - Keilaniemi (n4364527727)
        - Koivusaari (n4364527728)
        - Lauttasaari (n4364527729)
        - Ruoholahti (n146450892)
        - Kamppi (n1378007268)
        - Rautatientori (n418089207)
        - Helsingin yliopisto (n418089202)
        - Hakaniemi (n418089197)
        - Sörnäinen (n418089193)
        - Kalasatama (n5421817304)
        - Kulosaari (n51074268)
        - Herttoniemi (n50818752)
        - Siilitie (n417945641)
        - Itäkeskus (n392940601)
        - Myllypuro (n51425628)
        - Kontula (n52607942)
        - Mellunmäki (n52609066)

      r2390370: 
        - Mellunmäki (n52609066)
        - Kontula (n52607942)
        - Myllypuro (n51425628)
        - Itäkeskus (n392940601)
        - Siilitie (n417945641)
        - Herttoniemi (n50818752)
        - Kulosaari (n51074268)
        - Kalasatama (n5421817304)
        - Sörnäinen (n418089193)
        - Hakaniemi (n418089197)
        - Helsingin yliopisto (n418089202)
        - Rautatientori (n418089207)
        - Kamppi (n1378007268)
        - Ruoholahti (n146450892)
        - Lauttasaari (n4364527729)
        - Koivusaari (n4364527728)
        - Keilaniemi (n4364527727)
        - Aalto-yliopisto (n4364527726)
        - Tapiola (n4364527732)



